Ext.define('cxd.radiogroup', {
	extend : 'Ext.form.RadioGroup',
	alias : 'widget.radiogroup_plug',
	url : '',
	fieldText : 'text',
	fieldName : 'name',
	fieldValue : 'value',
	fieldChecked : false,
	initComponent : function(config) {
		var me = this;
		Ext.apply(me, {
			items : me.onLoad()
		});
		this.callParent(arguments);
	},
	onLoad : function() {
		var me = this;
		var items = [];
		Ext.Ajax.request({
			url : me.url,
			async : false,
			success : function(response,action) {
				var flag=Ext.decode(response.responseText).success;
				if(flag==true){
					var json = Ext.JSON.decode(response.responseText);
					Ext.each(json.data, function(d) {
						items.push({
							boxLabel : d[me.fieldText],	
							name : me.fieldName,
							inputValue : d[me.fieldValue],
							checked :me.fieldChecked
//							,
//							listeners : {
//								"change" : function(field) {
//									publicOnBlurUploadHuaShu(field);
//								}
//							}
						});
					}, me);
				}else{
					Ext.Msg.alert(Msg_TiShi,Ext.decode(response.responseText).data);
				}
				
			}
		});
		return items;
	}

});